------------------------------------------------------------------------------
--                                                                          --
--                An Ada2005 binding to the Qt C++ framework                --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2008-2011 Vadim Godunko <vgodunko@gmail.com>                 --
--                                                                          --
-- QtAda is free software;  you can  redistribute it and/or modify it under --
-- terms of the  GNU General Public License as published  by the Free Soft- --
-- ware  Foundation;  either version 2,  or (at your option) any later ver- --
-- sion. QtAda is distributed in the hope that it will be useful, but WITH- --
-- OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
-- or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
-- for  more details.  You should have  received  a copy of the GNU General --
-- Public License distributed with QtAda;  see file COPYING.  If not, write --
-- to  the  Free Software Foundation,  51  Franklin  Street,  Fifth  Floor, --
-- Boston, MA 02110-1301, USA.                                              --
--                                                                          --
-- As a special exception,  if other files  instantiate  generics from this --
-- unit, or you link  this unit with other files  to produce an executable, --
-- this  unit  does not  by itself cause  the resulting  executable  to  be --
-- covered  by the  GNU  General  Public  License.  This exception does not --
-- however invalidate  any other reasons why  the executable file  might be --
-- covered by the  GNU Public License.                                      --
--                                                                          --
------------------------------------------------------------------------------
--    This file has been generated automatically. Please don't edit it.     --
------------------------------------------------------------------------------
with Qt_Ada.Internals.Objects;

with Qt_Ada.Internals.Objects.Dialog_Proxies;
pragma Warnings (Off, Qt_Ada.Internals.Objects.Dialog_Proxies);
--  Elaboration of the proxy tagged type package register proxy object
--  constructor. Bindings must be able to create proxy object of the
--  corresponding tagged type for works properly.

package body Qt4.Dialogs is

   function isSizeGripEnabled_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, isSizeGripEnabled_0_wrapper,
                     "__Qt4Ada_QDialog_isSizeGripEnabled_0_wrapper");

   function result_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Q_Integer;
   pragma Import (C, result_0_wrapper,
                     "__Qt4Ada_QDialog_result_0_wrapper");

   procedure setModal_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Modal : Qt4.bool);
   pragma Import (C, setModal_0_wrapper,
                     "__Qt4Ada_QDialog_setModal_0_wrapper");

   procedure setResult_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Result : Qt4.Q_Integer);
   pragma Import (C, setResult_0_wrapper,
                     "__Qt4Ada_QDialog_setResult_0_wrapper");

   procedure setSizeGripEnabled_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Enable : Qt4.bool);
   pragma Import (C, setSizeGripEnabled_0_wrapper,
                     "__Qt4Ada_QDialog_setSizeGripEnabled_0_wrapper");

   function exec_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Q_Integer;
   pragma Import (C, exec_0_wrapper,
                     "__Qt4Ada_QDialog_exec_0_wrapper");

   pragma Style_Checks ("N");

   --------------------------
   -- Is_Size_Grip_Enabled --
   --------------------------

   function Is_Size_Grip_Enabled
    (Self : not null access constant Q_Dialog'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (isSizeGripEnabled_0_wrapper
           (Self.QObject_View));
   end Is_Size_Grip_Enabled;

   ------------
   -- Result --
   ------------

   function Result
    (Self : not null access constant Q_Dialog'Class)
       return Qt4.Q_Integer
   is
   begin
      return
        result_0_wrapper
         (Self.QObject_View);
   end Result;

   ---------------
   -- Set_Modal --
   ---------------

   procedure Set_Modal
    (Self : not null access Q_Dialog'Class;
     Modal : Standard.Boolean)
   is
   begin
      setModal_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (Modal));
   end Set_Modal;

   ----------------
   -- Set_Result --
   ----------------

   procedure Set_Result
    (Self : not null access Q_Dialog'Class;
     Result : Qt4.Q_Integer)
   is
   begin
      setResult_0_wrapper
       (Self.QObject_View,
        Result);
   end Set_Result;

   ---------------------------
   -- Set_Size_Grip_Enabled --
   ---------------------------

   procedure Set_Size_Grip_Enabled
    (Self : not null access Q_Dialog'Class;
     Enable : Standard.Boolean)
   is
   begin
      setSizeGripEnabled_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (Enable));
   end Set_Size_Grip_Enabled;

   ----------
   -- Exec --
   ----------

   function Exec
    (Self : not null access Q_Dialog'Class)
       return Qt4.Q_Integer
   is
   begin
      return
        exec_0_wrapper
         (Self.QObject_View);
   end Exec;

end Qt4.Dialogs;
